---
search:
  tags:
    - tasks
    - GET
seo:
  description: >-
    Returns a paginated, filterable, and sortable grid of tasks across all
    projects in… Reference for the GET /tasks/grid endpoint in the Leadtime
    Public API API.
sidebar:
  badge: GET
  label: Get tasks grid
title: Get tasks grid
type: openapi-operation
---
Returns a paginated, filterable, and sortable grid of tasks across all projects in the workspace. This endpoint supports server-side filtering, sorting, and pagination for efficient data retrieval. You can filter by title, status, type, project, parent task, guest access, and more. Quick search is available on the title field. The default sort is by last updated timestamp in descending order.

**What are "Open" Tasks?**
A task is considered "open" when its status type is NOT `Closed`. This includes tasks with status types: `New`, `InProgress`, `Feedback`, `Backlog`, and `Resolved`. Only tasks with status type `Closed` are considered closed. You can filter for open tasks by using the `statusId` field with comparison `is_open` in your filters parameter.

Retrieves a paginated grid of tasks with filtering and sorting capabilities. Quick search available on: title, summary. Filterable fields: title, shortNumber, statusId, typeId, lastUpdated, parentTaskId, guestAccess, projectId, assignedToId, userId, summary, priority, tags, isFavorite, inPipeline, hasObject, hasForms, isBlocked, blockedBy, blocking, billingStatus, billedAmount. Sortable fields: title, shortNumber, statusId, typeId, lastUpdated, parentTaskId, projectId, assignedToId, userId, summary, priority, billingStatus, billedAmount.

<Operation source="api-reference" id="taskscontroller-getgrid" />
